Refresh MCP Tool List
Refresh MCP Tool List
Supports re-fetching the tools of a specified MCP Server and updating the actions.
You can use this endpoint to re-fetch the tools of a specified MCP Server and update the actions.
Request Method
POST
Request URL
https://api.${endpoint}/v1/org/mcp/refresh
Request Authentication
Uses account-level DevKey / DevSecret Basic authentication, and requires the calling account to have organization MCP management permission.
Request
Request Example
curl -X POST 'https://api.${endpoint}/v1/org/mcp/refresh' \
-H 'Authorization: Basic ${BASIC_TOKEN}' \
-H 'Content-Type: application/json' \
-d '{
"org_id": "p-xxxx",
"id": "mcp-xxxx"
}'
curl -X POST 'https://api.${endpoint}/v1/org/mcp/refresh' \
-H 'Authorization: Basic ${BASIC_TOKEN}' \
-H 'Content-Type: application/json' \
-d '{
"org_id": "p-xxxx",
"id": "mcp-xxxx"
}'
This code block in the floating window
Request Headers
| Field | Type | Description |
|---|---|---|
| Authorization | Basic ${BASIC_TOKEN} | The Basic Token obtained by Base64-encoding DevKey:DevSecret. |
| Content-Type | application/json | Request body format. |
Request Parameters (Body Parameters)
| Parameter | Type | Description | required |
|---|---|---|---|
| org_id | String | Organization ID. | true |
| id | String | MCP ID. | true |
Response
Response Example
{
"code": 0,
"message": "OK",
"data": {
"mcp_id": "mcp-xxxx",
"action_count": 3,
"available": true
}
}
{
"code": 0,
"message": "OK",
"data": {
"mcp_id": "mcp-xxxx",
"action_count": 3,
"available": true
}
}
This code block in the floating window
Success Response
| Field | Type | Description |
|---|---|---|
| mcp_id | String | MCP ID. |
| action_count | Integer | Number of Actions after refresh. |
| available | Boolean | Whether the MCP is available. |
Failure Response
| Field | Type | Description |
|---|---|---|
| code | Integer | Error code. |
| message | String | Error details. |
Status Codes
| Status Code | Description |
|---|---|
| 200 | Success |
| 400 | Parameter error |
| 401 | Unauthorized |
| 403 | Insufficient permissions |
| 429 | Too many requests |
| 500 | Server error |
